Subject: [bug#45399] [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).

From: zimoun <[email-masked]>
Date: Wed, 23 Dec 2020 19:06:25 +0100

Hi,

Janitor [1] patch set.  It moves Bioconductor packages from (gnu packages
bioinformatics) to (gnu packages bioconductor).  Far to be complete; still 7
pacth set like this one are coming...

1: <https://lists.gnu.org/archive/html/guix-commits/2020-09/msg00416.html>

To transfer the Copyright, I use:

   git --no-pager log --date=format:"%Y" --format="%ad %an %s" --grep=r-<name>

Then, after the move, I run:

   ./pre-inst-env guix build r-<name> --no-grafts
   ./pre-inst-env guix build r-<name> --no-grafts --check

and at the end of the series, I run:

    make as-derivation

to check that "guix pull" is not broken; just in case.

Last, I have not carefully checked the imported modules, so it could
be possible to perhaps remove couple of #:use-module (gnu packages <useless>)
in gnu/packages/bioinformatics.scm.

All the best,
simon

zimoun (10):
  gnu: r-sushi: Move to (gnu packages bioconductor).
  gnu: r-gwascat: Move to (gnu packages bioconductor).
  gnu: r-gviz: Move to (gnu packages bioconductor).
  gnu: r-gqtlstats: Move to (gnu packages bioconductor).
  gnu: r-ldblock: Move to (gnu packages bioconductor).
  gnu: r-erma: Move to (gnu packages bioconductor).
  gnu: r-homo-sapiens: Move to (gnu packages bioconductor).
  gnu: r-snpstats: Move to (gnu packages bioconductor).
  gnu: r-gqtlstats: Move to (gnu packages bioconductor).
  gnu: r-ggbio: Move to (gnu packages bioconductor).

 gnu/packages/bioconductor.scm   | 400 +++++++++++++++++++++++++++++++
 gnu/packages/bioinformatics.scm | 405 --------------------------------
 2 files changed, 400 insertions(+), 405 deletions(-)

base-commit: 4994e1f2bd9b573d2c13abf2b98ec204f510ad11
-- 
2.29.2